HamletSpec.Scope (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, enum: Scope

Package org.apache.hadoop.yarn.webapp.hamlet2

# Enum Class HamletSpec.Scope

java.lang.Object
java.lang.Enum<HamletSpec.Scope>
org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Scope

All Implemented Interfaces:
  `Serializable`, `Comparable<HamletSpec.Scope>`, `Constable`

Enclosing class:
  HamletSpec

public static enum HamletSpec.Scope extends Enum<HamletSpec.Scope>
%Scope (case-insensitive)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `col`
  `colgroup`
  `row`
  `rowgroup`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HamletSpec.Scope`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HamletSpec.Scope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### row

    public static final HamletSpec.Scope row

  - ### col

    public static final HamletSpec.Scope col

  - ### rowgroup

    public static final HamletSpec.Scope rowgroup

  - ### colgroup

    public static final HamletSpec.Scope colgroup

- ## Method Details

  - ### values

    public static HamletSpec.Scope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HamletSpec.Scope valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null